---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libByteArrayCriticalLocker.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL10objFieldId, symObjAddr: 0x47790, symBinAddr: 0x4070, symSize: 0x0 }
  - { offsetInCU: 0xA2, offset: 0xA2, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x47798, symBinAddr: 0x4078, symSize: 0x0 }
  - { offsetInCU: 0x5F87, offset: 0x5F87, size: 0x8, addend: 0x0, symName: _Java_nsk_share_gc_lock_jni_ByteArrayCriticalLocker_criticalNative, symObjAddr: 0xE10, symBinAddr: 0x1460, symSize: 0x510 }
  - { offsetInCU: 0x6469, offset: 0x6469, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectClassEP8_jobjectiPKc, symObjAddr: 0x1360, symBinAddr: 0x19B0, symSize: 0x110 }
  - { offsetInCU: 0x6666, offset: 0x6666, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x2280, symBinAddr: 0x22D0, symSize: 0x100 }
  - { offsetInCU: 0x684D, offset: 0x684D, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDED1Ev, symObjAddr: 0x2380, symBinAddr: 0x23D0, symSize: 0x220 }
  - { offsetInCU: 0x6A61, offset: 0x6A61, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectFieldEP8_jobjectP9_jfieldIDiPKc, symObjAddr: 0x1510, symBinAddr: 0x1AC0, symSize: 0x140 }
  - { offsetInCU: 0x6CB1, offset: 0x6CB1, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14SetObjectFieldEP8_jobjectP9_jfieldIDS1_iPKc, symObjAddr: 0x1650, symBinAddr: 0x1C00, symSize: 0x140 }
  - { offsetInCU: 0x6F32, offset: 0x6F32, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetArrayLengthEP7_jarrayiPKc, symObjAddr: 0x1790, symBinAddr: 0x1D40, symSize: 0xF0 }
  - { offsetInCU: 0x71A7, offset: 0x71A7, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv29ReleasePrimitiveArrayCriticalEP7_jarrayPviiPKc, symObjAddr: 0x1A20, symBinAddr: 0x1F70, symSize: 0x140 }
  - { offsetInCU: 0x7428, offset: 0x7428, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv25GetPrimitiveArrayCriticalEP7_jarrayPhiPKc, symObjAddr: 0x1880, symBinAddr: 0x1E30, symSize: 0x140 }
  - { offsetInCU: 0x76A0, offset: 0x76A0, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0x1320, symBinAddr: 0x1970, symSize: 0x40 }
  - { offsetInCU: 0x78CB, offset: 0x78CB, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x1C60, symBinAddr: 0x20B0, symSize: 0x220 }
  - { offsetInCU: 0x7CAC, offset: 0x7CAC, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectED1Ev, symObjAddr: 0x26E0, symBinAddr: 0x25F0, symSize: 0x220 }
  - { offsetInCU: 0x80B9, offset: 0x80B9, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvED1Ev, symObjAddr: 0x2900, symBinAddr: 0x2810, symSize: 0x220 }
  - { offsetInCU: 0x887A, offset: 0x887A, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0x5810, symBinAddr: 0x2A40, symSize: 0x50 }
  - { offsetInCU: 0x8B1E, offset: 0x8B1E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDE17DecimalToAsciiRecEPci, symObjAddr: 0x58B0, symBinAddr: 0x2A90, symSize: 0x50 }
  - { offsetInCU: 0x8C8B, offset: 0x8C8B, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectE17DecimalToAsciiRecEPci, symObjAddr: 0x5900, symBinAddr: 0x2AE0, symSize: 0x50 }
  - { offsetInCU: 0x8DF8, offset: 0x8DF8, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvE17DecimalToAsciiRecEPci, symObjAddr: 0x5950, symBinAddr: 0x2B30, symSize: 0x50 }
...
